"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var angular = require("angular");
var index_1 = require("./index");
var index_2 = require("./index");
var web_user_model_1 = require("web-user-model");
var app = angular.module('app', [index_1.UserFactoryModule.name, index_2.AjaxFactoryModule.name]);
app.controller('controller', ['$scope', index_1.AjaxFactory.factoryName, function ($scope, ajaxFactory) {
        $scope.get = function () {
            var user = new web_user_model_1.User();
            user.first_name = 'get';
            ajaxFactory.httpServerCall('/api/test/', 'get', user, function (data) {
                console.log(data);
            });
        };
        $scope.put = function () {
            var user = new web_user_model_1.User();
            user.email = 'put';
            ajaxFactory.httpServerCall('/api/test/', 'put', user, function (data) {
                console.log(data);
            });
        };
        $scope.post = function () {
            var user = new web_user_model_1.User();
            user.email = 'post';
            ajaxFactory.httpServerCall('/api/test/', 'post', user, function (data) {
                console.log(data);
            });
        };
    }]);
//# sourceMappingURL=client.js.map